import 'package:flutter/material.dart';

extension ShowBottomSheet on BuildContext {
  Future<T?> showBottomSheet<T>({required Widget child}) {
    return showModalBottomSheet<T>(
      context: this,
      isScrollControlled: true,
      isDismissible: false,
      backgroundColor: Colors.transparent,
      builder: (_) => child,
    );
  }
}
